Page 1 of 100

Posted: Tue 01 Jun 2010, 04:43
by jemimah
I've posted Fluppy 002. Hopefully the Chrome crashing problem is fixed. Ramboot should work now too.

Posted: Tue 01 Jun 2010, 07:06
by Lobster
Worlds most hopeless tester here . . .
I was in the process of making a video on installing fluppy
but the bootinst.sh did not seem to work (worked OK in 001)

I ran it from the command line and output is below
I am a great believer in positivity :D
but has the text editor added more than you intended? :oops:

No - not the text editor - something in the code, could be this?
+ being actually added, rather than functions . . .

I'll add the complete code at the end of this post

TARGET=$(egrep "[^[:space:]]+[[:space:]]+$MYMNT[[:space:]]+" /proc/mounts | cut -d " " -f 1)
- this is a job for a chihuahua in pink goggles 8)

Code: Select all

# ./bootinst.sh
+ set -e
+ export TARGET=
+ TARGET=
+ export MBR=
+ MBR=
+++ dirname ./bootinst.sh
++ cd -P .
++ pwd
+ export MYMNT=/initrd/mnt/dev_save/iso/fluppy/NewDir/boot
+ MYMNT=/initrd/mnt/dev_save/iso/fluppy/NewDir/boot
+ '[' /initrd/mnt/dev_save/iso/fluppy/NewDir/boot '!=' '' -a /initrd/mnt/dev_save/iso/fluppy/NewDir/boot '!=' . -a /initrd/mnt/dev_save/iso/fluppy/NewDir/boot '!=' / ']'
++ egrep '[^[:space:]]+[[:space:]]+/initrd/mnt/dev_save/iso/fluppy/NewDir/boot[[:space:]]+' /proc/mounts
++ cut -d ' ' -f 1
+ TARGET=
+ '[' '' '!=' '' ']'
++ dirname /initrd/mnt/dev_save/iso/fluppy/NewDir/boot
+ MYMNT=/initrd/mnt/dev_save/iso/fluppy/NewDir
+ '[' /initrd/mnt/dev_save/iso/fluppy/NewDir '!=' '' -a /initrd/mnt/dev_save/iso/fluppy/NewDir '!=' . -a /initrd/mnt/dev_save/iso/fluppy/NewDir '!=' / ']'
++ egrep '[^[:space:]]+[[:space:]]+/initrd/mnt/dev_save/iso/fluppy/NewDir[[:space:]]+' /proc/mounts
++ cut -d ' ' -f 1
+ TARGET=
+ '[' '' '!=' '' ']'
++ dirname /initrd/mnt/dev_save/iso/fluppy/NewDir
+ MYMNT=/initrd/mnt/dev_save/iso/fluppy
+ '[' /initrd/mnt/dev_save/iso/fluppy '!=' '' -a /initrd/mnt/dev_save/iso/fluppy '!=' . -a /initrd/mnt/dev_save/iso/fluppy '!=' / ']'
++ egrep '[^[:space:]]+[[:space:]]+/initrd/mnt/dev_save/iso/fluppy[[:space:]]+' /proc/mounts
++ cut -d ' ' -f 1
+ TARGET=
+ '[' '' '!=' '' ']'
++ dirname /initrd/mnt/dev_save/iso/fluppy
+ MYMNT=/initrd/mnt/dev_save/iso
+ '[' /initrd/mnt/dev_save/iso '!=' '' -a /initrd/mnt/dev_save/iso '!=' . -a /initrd/mnt/dev_save/iso '!=' / ']'
++ egrep '[^[:space:]]+[[:space:]]+/initrd/mnt/dev_save/iso[[:space:]]+' /proc/mounts
++ cut -d ' ' -f 1
+ TARGET=
+ '[' '' '!=' '' ']'
++ dirname /initrd/mnt/dev_save/iso
+ MYMNT=/initrd/mnt/dev_save
+ '[' /initrd/mnt/dev_save '!=' '' -a /initrd/mnt/dev_save '!=' . -a /initrd/mnt/dev_save '!=' / ']'
++ egrep '[^[:space:]]+[[:space:]]+/initrd/mnt/dev_save[[:space:]]+' /proc/mounts
++ cut -d ' ' -f 1
+ TARGET=/dev/sda5
+ '[' /dev/sda5 '!=' '' ']'
+ break
+ '[' /dev/sda5 = '' ']'
++ cat /proc/mounts
++ grep noexec
++ grep '^/dev/sda5'
+ '[' '' ']'
++ echo /dev/sda5
++ sed -r 's/[0-9]+$//g'
+ export MBR=/dev/sda
+ MBR=/dev/sda
+ export NUM=5
+ NUM=5
+ cd /initrd/mnt/dev_save
+ which xterm
/usr/bin/xterm
+ [[ 0 != 0 ]]
+ which xterm
/usr/bin/xterm
+ [[ 0 = 0 ]]
+ xterm -e boot/syslinux/linuxinstall.sh
+ exit
# 

Code: Select all

#!/bin/bash
set -x
set -e
export TARGET=""
export MBR=""

# Find out which partition or disk are we using
export MYMNT=$(cd -P $(dirname $0) ; pwd)
while [ "$MYMNT" != "" -a "$MYMNT" != "." -a "$MYMNT" != "/" ]; do
   TARGET=$(egrep "[^[:space:]]+[[:space:]]+$MYMNT[[:space:]]+" /proc/mounts | cut -d " " -f 1)
   if [ "$TARGET" != "" ]; then break; fi
   MYMNT=$(dirname "$MYMNT")
done

if [ "$TARGET" = "" ]; then
   echo "Can't find device to install to."
   echo "Make sure you run this script from a mounted device."
   exit 1

fi

if [ "$(cat /proc/mounts | grep "^$TARGET" | grep noexec)" ]; then
   echo "The disk $TARGET is mounted with noexec parameter, trying to remount..."
   mount -o remount,exec "$TARGET"
fi

export MBR=$(echo "$TARGET" | sed -r "s/[0-9]+\$//g")
export NUM=${TARGET:${#MBR}}
cd "$MYMNT"

which $TERM
if [[ $? != 0 ]] ; then
	which xterm
	if [[ $? = 0 ]] ; then
		TERM=xterm
	else
		which konsole
		if [[ $? = 0 ]] ; then
			TERM=konsole
		else
			which rxvt
			if [[ $? = 0 ]] ; then
				TERM=rxvt
			fi
		fi
	fi
fi
which $TERM
if [[ $? = 0 ]] ; then
	$TERM -e boot/syslinux/linuxinstall.sh
	exit
fi

clear
echo "-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-"
echo "                        Welcome to Fluppy boot installer                         "
echo "-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-"
echo
echo "This installer will setup disk $TARGET to boot only Fluppy."
if [ "$MBR" != "$TARGET" ]; then
   echo
   echo "Warning! Master boot record (MBR) of $MBR will be overwritten."
   echo "If you use $MBR to boot any existing operating system, it will not work"
   echo "anymore. Only Fluppy will boot from this device. Be careful!"
fi
echo
echo "Press Enter to continue, or Ctrl+C to abort..."
read junk
clear

echo "Flushing filesystem buffers, this may take a while..."
sync

# setup MBR if the device is not in superfloppy format
if [ "$MBR" != "$TARGET" ]; then
   echo "Setting up MBR on $MBR..."
   ./boot/syslinux/lilo -S /dev/null -M $MBR ext # this must be here to support -A for extended partitions
   echo "Activating partition $TARGET..."
   ./boot/syslinux/lilo -S /dev/null -A $MBR $NUM
   echo "Updating MBR on $MBR..." # this must be here because LILO mbr is bad. mbr.bin is from syslinux
   cat ./boot/syslinux/mbr.bin > $MBR
fi

echo "Setting up boot record for $TARGET..."
./boot/syslinux/syslinux -d . $TARGET

echo "Disk $TARGET should be bootable now. Installation finished."

echo
echo "Read the information above and then press any key to exit..."
read junk

Posted: Tue 01 Jun 2010, 12:16
by jemimah
I don't think you copied the files to the usb drive before running the installer script.

Posted: Tue 01 Jun 2010, 12:23
by Lobster
Worlds most hopeless tester here . . .
:oops:

Thanks Jemimah 8)

Posted: Tue 01 Jun 2010, 13:20
by jemimah
You should make sure you didn't wack the bootloader on your hard drive.

Posted: Tue 01 Jun 2010, 16:06
by Lobster
After wacking my head with a halibut (a type of fish)
I almost managed to create a Youtube video of my adventures with Fluppy 002
bit messy in parts . . .
http://www.youtube.com/watch?v=WLVAdkvlJZc

Still learning how to use Openshot video editor . .
I hope to be using Openshot in Puppy, Lucid, Fatdog64 or Fluppy soon . . . :)

acer aspire one

Posted: Tue 01 Jun 2010, 17:38
by BHINTZ
I installed fluppy02 on my AA0 (acer aspire one)

Chrome seems to be working fine.

I also have booted up in ramboot and put hard drive to standby - the adapted battery time is currently at 34+ hours and so far no reduction in savefile noted, but I didn't check when I first booted.

suspend works fine on closing the lid

Posted: Tue 01 Jun 2010, 18:56
by jemimah
Lobster, does your ethernet connection not come up automatically? You aren't supposed to need to reset it.

Posted: Tue 01 Jun 2010, 19:20
by Lobster
:oops: Ah good news I do get connected automatically . . .

When I open the chrome browser, I get a message
Your wireless card was not detected, please reboot and enable it in the BIOS
. . . this confused me (it does not take much)
click on OK and in fact the OS and browser is connected via Ethernet . . .

Posted: Tue 01 Jun 2010, 19:25
by jemimah
I suppose I should remove that message.

Posted: Tue 01 Jun 2010, 21:07
by Gee
Viliv , Fujitsu U , UMID mbook are UMPCs that have touch screens. Vaio p , viliv and some other umpcs also have built in gps. Maybe you could add touch and gps support?

Posted: Tue 01 Jun 2010, 21:56
by jemimah
Well Afgs just sort of added UMPCs to the Fluppy logo without checking. :)

I'm not sure how well it will actually work on such a machine as I've never owned one.

Touch will possibly work if you install Tempestous' touchscreen Xorg drivers - theres a pet somewhere around here. I'll throw them in if anyone reports success with them.

TangoGPS is already installed. If the kernel supports it, you should just be able to install gpsd and it'll work.

If someone has the hardware, I can probably help troubleshoot but it's all theory without testing.

Posted: Tue 01 Jun 2010, 22:01
by smokey01
Jemimah I will try Fluppy on the Kogan netbook later in the week and report back.

I suspect I will have problems with the wifi and mousepad.

Thanks, Smokey

Fluppy take 2

Posted: Wed 02 Jun 2010, 00:54
by TomRhymer
Testing on Acer Aspire One D-150, booting from flash drive.

Major improvement! Chrome doesn't crash anymore. Also, while PAN0 still shows in PWireless, it isn't getting in the way anymore. I was able to connect to my router in only a few seconds. Incidentally, what is PAN0 anyway? AFAIK, the netbook only has an ethernet connector and the WLan.

Still have one major problem. When I shut down, I made a save file to the flash drive. I use Ext2 format, 128MB. When I reboot, I get a boot error and can't even get to the menu. I've duplicated this on two different 512MB flash drives.

Thanks for all the work you've been putting into this. I like your approach to a netbook OS a lot more than Moblin, Maemo, UNR, or any of the other netbook Linux distros that I've tried.

Posted: Wed 02 Jun 2010, 01:16
by jemimah
Pan0 is "Personal Area Network". The bluetooth daemon apparently creates it. I have no idea how to use it.

If you can't even get to the menu, try rerunning bootinst.sh. I have no idea why the drive would become unbootable unless you deleted ldlinux.sys or moved the kernel, initrd, or syslinux.cfg somewhere else.

Boot error.

Posted: Wed 02 Jun 2010, 09:45
by TomRhymer
jemimah wrote:If you can't even get to the menu, try rerunning bootinst.sh. I have no idea why the drive would become unbootable unless you deleted ldlinux.sys or moved the kernel, initrd, or syslinux.cfg somewhere else.
Okay, I reran bootinst. It will boot and save now without problems. Evidently, it only happens when creating the save file.

Posted: Wed 02 Jun 2010, 16:45
by Roy
Pan0 is "Personal Area Network". The bluetooth daemon apparently creates it. I have no idea how to use it.
PAN, I think, is simply a bluetooth modem link between your computer and distant device.

Actually, I've been thinking about trying to use PAN to access my cell phone's 3G internet connectivity... my theory being that the Bluetooth modem will provide transfer capability that my USB cable doesn't. (My phone will allow me to access the internal memory card, via USB cable, but not the phone's internal memory. No GPRS stuff in the phone, either.) No idea if the idea will work or not, but with the rage of 3G connectivity and the few (fewer, almost gone) dial-up providers....

Roy

Posted: Thu 03 Jun 2010, 16:37
by harktu
tried with live usb on 'eeepc 4g surf',it says 'didnt detect wireless plz check the bios',
my wireless is ok with other distros.
it doesnt see my wireless.

Posted: Thu 03 Jun 2010, 21:08
by smokey01
I tried fluppy002 on my desktop and it didn't find any network drivers either. Ethernet or wireless.

Regards

Posted: Thu 03 Jun 2010, 21:18
by dawnsboy
Harktu said:
tried with live usb on 'eeepc 4g surf',it says 'didnt detect wireless plz check the bios',
my wireless is ok with other distros.
it doesnt see my wireless.

Announcement from first post:
This is Puppeee with Eee-specific functionality removed and a full size kernel.
So Fluppy probably does not have your eeepc drivers. You will certainly find them in Puppeee which has leaner kernel with eeepc specific driver set.